> ## Documentation Index
> Fetch the complete documentation index at: https://devliz.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch TV details

> This endpoint allows you to get the details of a TV show.



## OpenAPI

````yaml get /tv/{{series_id}}
openapi: 3.0.3
info:
  title: TMDB API DOCS
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.themoviedb.org/3
  - url: https://api.themoviedb.org
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: >-
      This section contains endpoints that let you create authentication
      sessions for TMDB Guests and User accounts.
  - name: Account
    description: >-
      This section contains endpoints that let you access and sync with TMDB
      user account information.
  - name: Certifications
    description: >-
      This section contains endpoints that provide an up-to-date list of the
      officially supported movies and TV show certifications on TMDB.
  - name: Changes
    description: >-
      This section contains endpoints that let you fetch the list of Movie IDs,
      People IDs, and TV show IDs that have been changed in the past 24 hours.
  - name: Collections
    description: >-
      This collection contains endpoints that let you fetch movie collection
      details.
  - name: Discover
    description: >-
      This section contains endpoints that let you search for movies and TV
      shows, using sorts and filters.
  - name: Configuration
    description: This section contains endpoints that let you query the API configuration.
  - name: Movies
    description: >-
      This section contains endpoints that let you fetch information about the
      movie resource.
  - name: Companies
    description: >-
      This section contains endpoints that fetch information about a movie
      production company.
  - name: Credits
    description: This section contains endpoint for credit details.
  - name: Find
    description: This section contains endpoints that let you find movie or TV data.
  - name: Genres
    description: This section contain endpoints that let you get movie and TV genres.
  - name: Search
    description: This section contains endpoints that let you search through TMDB
  - name: Keywords
    description: This section contains endpoints for keyword information in TMDB
  - name: Movie Lists
    description: >-
      This section contains endpoints that let you fetch information about list
      of movies on TMDB
  - name: Networks
    description: >-
      This section contains endpoints that let you get information about the
      streaming networks.
  - name: People Lists
    description: This section contains endpoints of list of people.
  - name: People
    description: >-
      This section contains endpoints that let you get information about a
      person.
  - name: Reviews
    description: This section contains endpoints for movie or TV reviews.
  - name: Trending
    description: This section contains endpoints for trending movies, TV shows, and people.
  - name: TV Series List
    description: This section contains endpoints for listing TV series.
  - name: TV Series
    description: >-
      This section contains endpoints that let you get information for a TV
      series by ID
  - name: TV Seasons
    description: This section contains endpoints for TV show seasons.
  - name: TV Episodes
    description: >-
      This section contains endpoints that let you query information about a TV
      episode.
  - name: TV Episode groups
    description: This section contains endpoints for TV Episode information
  - name: Watch providers
    description: >-
      This section contains endpoints that let you get information about watch
      providers.
paths:
  /tv/{{series_id}}:
    parameters:
      - name: series_id
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - TV Series
      summary: Fetch TV details
      description: This endpoint allows you to get the details of a TV show.
      operationId: fetchTvDetails
      parameters:
        - name: append_to_response
          in: query
          schema:
            type: string
            example: string
          description: >-
            comma separated list of endpoints within this namespace, 20 items
            max
        - name: language
          in: query
          schema:
            type: string
            example: string
          description: Defaults to en-US
      responses:
        '200':
          description: Fetch TV details
          headers:
            Alt-Svc:
              schema:
                type: string
                example: h3=":443"; ma=86400
            Cache-Control:
              schema:
                type: string
                example: public, max-age=13069
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Date:
              schema:
                type: string
                example: Sat, 28 Dec 2024 10:36:54 GMT
            ETag:
              schema:
                type: string
                example: W/"27c544e916a037bb9ac58fa5549a988b"
            Server:
              schema:
                type: string
                example: openresty
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Vary:
              schema:
                type: string
                example: Origin
            Via:
              schema:
                type: string
                example: >-
                  1.1 f37f104903bda438e8b0547be6e0c192.cloudfront.net
                  (CloudFront)
            X-Amz-Cf-Id:
              schema:
                type: string
                example: k_W2nciSIWzi0-PasN6V-jGE4Fctn2WNNko6SJq_LR46XR6nra9atw==
            X-Amz-Cf-Pop:
              schema:
                type: string
                example: IAD89-C3
            X-Cache:
              schema:
                type: string
                example: Miss from cloudfront
            x-memc:
              schema:
                type: string
                example: HIT
            x-memc-age:
              schema:
                type: string
                example: '8786'
            x-memc-expires:
              schema:
                type: string
                example: '13069'
            x-memc-key:
              schema:
                type: string
                example: 6a8f092b5b903c4b5fa4d7cc6c025e08
          content:
            application/json:
              schema:
                type: object
                properties:
                  adult:
                    type: boolean
                    example: false
                  backdrop_path:
                    type: string
                    example: /mAJ84W6I8I272Da87qplS2Dp9ST.jpg
                  created_by:
                    type: array
                    items:
                      type: object
                      properties:
                        credit_id:
                          type: string
                          example: 6447f632c51acd0566a945a3
                        gender:
                          type: number
                          example: 0
                        id:
                          type: number
                          example: 4028129
                        name:
                          type: string
                          example: Onat Diaz
                        original_name:
                          type: string
                          example: Onat Diaz
                        profile_path:
                          nullable: true
                          example: null
                    example:
                      - credit_id: 6447f632c51acd0566a945a3
                        gender: 0
                        id: 4028129
                        name: Onat Diaz
                        original_name: Onat Diaz
                        profile_path: null
                  episode_run_time:
                    type: array
                    items:
                      type: number
                      example: 30
                    example:
                      - 30
                  first_air_date:
                    type: string
                    example: '2023-01-23'
                  genres:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                          example: 18
                        name:
                          type: string
                          example: Drama
                    example:
                      - id: 18
                        name: Drama
                      - id: 9648
                        name: Mystery
                  homepage:
                    type: string
                    example: ''
                  id:
                    type: number
                    example: 202250
                  in_production:
                    type: boolean
                    example: false
                  languages:
                    type: array
                    items:
                      type: string
                      example: en
                    example:
                      - en
                      - tl
                  last_air_date:
                    type: string
                    example: '2023-09-07'
                  last_episode_to_air:
                    type: object
                    properties:
                      air_date:
                        type: string
                        example: '2023-09-07'
                      episode_number:
                        type: number
                        example: 12
                      episode_type:
                        type: string
                        example: standard
                      id:
                        type: number
                        example: 4981929
                      name:
                        type: string
                        example: S1 E12
                      overview:
                        type: string
                        example: >-
                          After unlocking a forgotten memory from his past,
                          Aidan surrenders to the authorities and comes clean
                          about his crime. The Fieros then escape El Hambra, but
                          Abe manages to confront Cielo one last time. After
                          falling into Carlos' trap, Mila finally learns of the
                          truth behind her mother’s death.
                      production_code:
                        type: string
                        example: ''
                      runtime:
                        type: number
                        example: 67
                      season_number:
                        type: number
                        example: 3
                      show_id:
                        type: number
                        example: 202250
                      still_path:
                        type: string
                        example: /grbFZlPu4ghPkAHLtvmJj3cy3dx.jpg
                      vote_average:
                        type: number
                        example: 0
                      vote_count:
                        type: number
                        example: 0
                  name:
                    type: string
                    example: Dirty Linen
                  networks:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                          example: 42
                        logo_path:
                          type: string
                          example: /gVinXXdpdbLHuXTUUfx4R9PyuPB.png
                        name:
                          type: string
                          example: TV5
                        origin_country:
                          type: string
                          example: PH
                    example:
                      - id: 42
                        logo_path: /gVinXXdpdbLHuXTUUfx4R9PyuPB.png
                        name: TV5
                        origin_country: PH
                      - id: 1024
                        logo_path: /ifhbNuuVnlwYy5oXA5VIb2YR8AZ.png
                        name: Prime Video
                        origin_country: ''
                      - id: 3920
                        logo_path: /eK7hBqDuNwvHqBoWtVgCdNIehsU.png
                        name: Kapamilya Channel
                        origin_country: PH
                  next_episode_to_air:
                    nullable: true
                    example: null
                  number_of_episodes:
                    type: number
                    example: 165
                  number_of_seasons:
                    type: number
                    example: 3
                  origin_country:
                    type: array
                    items:
                      type: string
                      example: PH
                    example:
                      - PH
                  original_language:
                    type: string
                    example: tl
                  original_name:
                    type: string
                    example: Dirty Linen
                  overview:
                    type: string
                    example: >-
                      To exact vengeance, a young woman infiltrates the
                      household of an influential family as a housemaid to
                      expose their dirty secrets. However, love will get in the
                      way of her revenge plot.
                  popularity:
                    type: number
                    example: 37.293
                  poster_path:
                    type: string
                    example: /fiK3u7oQb2Nsi2kuR73RRyIIGDD.jpg
                  production_companies:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                          example: 80844
                        logo_path:
                          type: string
                          example: /8IA6wf02ZLZNGZKHVLhn35Vxt1F.png
                        name:
                          type: string
                          example: Dreamscape Entertainment Television
                        origin_country:
                          type: string
                          example: PH
                    example:
                      - id: 80844
                        logo_path: /8IA6wf02ZLZNGZKHVLhn35Vxt1F.png
                        name: Dreamscape Entertainment Television
                        origin_country: PH
                      - id: 162722
                        logo_path: /cCGhFsrjsU9YesTlzrPYhgV0E4w.png
                        name: ABS-CBN Studios
                        origin_country: PH
                  production_countries:
                    type: array
                    items:
                      type: object
                      properties:
                        iso_3166_1:
                          type: string
                          example: PH
                        name:
                          type: string
                          example: Philippines
                    example:
                      - iso_3166_1: PH
                        name: Philippines
                  seasons:
                    type: array
                    items:
                      type: object
                      properties:
                        air_date:
                          type: string
                          example: '2023-01-23'
                        episode_count:
                          type: number
                          example: 73
                        id:
                          type: number
                          example: 294181
                        name:
                          type: string
                          example: Season 1
                        overview:
                          type: string
                          example: ''
                        poster_path:
                          type: string
                          example: /pVBxYfshGajQ600OKv8K4y8TI0K.jpg
                        season_number:
                          type: number
                          example: 1
                        vote_average:
                          type: number
                          example: 8.5
                    example:
                      - air_date: '2023-01-23'
                        episode_count: 73
                        id: 294181
                        name: Season 1
                        overview: ''
                        poster_path: /pVBxYfshGajQ600OKv8K4y8TI0K.jpg
                        season_number: 1
                        vote_average: 8.5
                      - air_date: '2023-05-08'
                        episode_count: 80
                        id: 338907
                        name: Season 2
                        overview: ''
                        poster_path: /8o5v2GwX7ko0q3Vq5BXTt3WFfZo.jpg
                        season_number: 2
                        vote_average: 0
                      - air_date: '2023-09-07'
                        episode_count: 12
                        id: 368918
                        name: Prime Cut
                        overview: >-
                          The powerful Fiero clan of El Hambra celebrates the
                          15th anniversary of their cockpit arena built on the
                          remains of a tragic and bloody past. Four revenge
                          seekers infiltrate the family in a bid to uncover
                          their darkest secrets as the case of the Fiero's
                          missing household staff remains unresolved for fifteen
                          years. But doubts and emotions complicate their scheme
                          for revenge as it comes to fruition.
                        poster_path: /rrSeQgQsAe3IW8QWc3WHL7HaWyK.jpg
                        season_number: 3
                        vote_average: 0
                  spoken_languages:
                    type: array
                    items:
                      type: object
                      properties:
                        english_name:
                          type: string
                          example: English
                        iso_639_1:
                          type: string
                          example: en
                        name:
                          type: string
                          example: English
                    example:
                      - english_name: English
                        iso_639_1: en
                        name: English
                      - english_name: Tagalog
                        iso_639_1: tl
                        name: ''
                  status:
                    type: string
                    example: Ended
                  tagline:
                    type: string
                    example: ''
                  type:
                    type: string
                    example: Scripted
                  vote_average:
                    type: number
                    example: 6.6
                  vote_count:
                    type: number
                    example: 104
              examples:
                Fetch TV details:
                  value:
                    adult: false
                    backdrop_path: /mAJ84W6I8I272Da87qplS2Dp9ST.jpg
                    created_by:
                      - credit_id: 6447f632c51acd0566a945a3
                        gender: 0
                        id: 4028129
                        name: Onat Diaz
                        original_name: Onat Diaz
                        profile_path: null
                    episode_run_time:
                      - 30
                    first_air_date: '2023-01-23'
                    genres:
                      - id: 18
                        name: Drama
                      - id: 9648
                        name: Mystery
                    homepage: ''
                    id: 202250
                    in_production: false
                    languages:
                      - en
                      - tl
                    last_air_date: '2023-09-07'
                    last_episode_to_air:
                      air_date: '2023-09-07'
                      episode_number: 12
                      episode_type: standard
                      id: 4981929
                      name: S1 E12
                      overview: >-
                        After unlocking a forgotten memory from his past, Aidan
                        surrenders to the authorities and comes clean about his
                        crime. The Fieros then escape El Hambra, but Abe manages
                        to confront Cielo one last time. After falling into
                        Carlos' trap, Mila finally learns of the truth behind
                        her mother’s death.
                      production_code: ''
                      runtime: 67
                      season_number: 3
                      show_id: 202250
                      still_path: /grbFZlPu4ghPkAHLtvmJj3cy3dx.jpg
                      vote_average: 0
                      vote_count: 0
                    name: Dirty Linen
                    networks:
                      - id: 42
                        logo_path: /gVinXXdpdbLHuXTUUfx4R9PyuPB.png
                        name: TV5
                        origin_country: PH
                      - id: 1024
                        logo_path: /ifhbNuuVnlwYy5oXA5VIb2YR8AZ.png
                        name: Prime Video
                        origin_country: ''
                      - id: 3920
                        logo_path: /eK7hBqDuNwvHqBoWtVgCdNIehsU.png
                        name: Kapamilya Channel
                        origin_country: PH
                    next_episode_to_air: null
                    number_of_episodes: 165
                    number_of_seasons: 3
                    origin_country:
                      - PH
                    original_language: tl
                    original_name: Dirty Linen
                    overview: >-
                      To exact vengeance, a young woman infiltrates the
                      household of an influential family as a housemaid to
                      expose their dirty secrets. However, love will get in the
                      way of her revenge plot.
                    popularity: 37.293
                    poster_path: /fiK3u7oQb2Nsi2kuR73RRyIIGDD.jpg
                    production_companies:
                      - id: 80844
                        logo_path: /8IA6wf02ZLZNGZKHVLhn35Vxt1F.png
                        name: Dreamscape Entertainment Television
                        origin_country: PH
                      - id: 162722
                        logo_path: /cCGhFsrjsU9YesTlzrPYhgV0E4w.png
                        name: ABS-CBN Studios
                        origin_country: PH
                    production_countries:
                      - iso_3166_1: PH
                        name: Philippines
                    seasons:
                      - air_date: '2023-01-23'
                        episode_count: 73
                        id: 294181
                        name: Season 1
                        overview: ''
                        poster_path: /pVBxYfshGajQ600OKv8K4y8TI0K.jpg
                        season_number: 1
                        vote_average: 8.5
                      - air_date: '2023-05-08'
                        episode_count: 80
                        id: 338907
                        name: Season 2
                        overview: ''
                        poster_path: /8o5v2GwX7ko0q3Vq5BXTt3WFfZo.jpg
                        season_number: 2
                        vote_average: 0
                      - air_date: '2023-09-07'
                        episode_count: 12
                        id: 368918
                        name: Prime Cut
                        overview: >-
                          The powerful Fiero clan of El Hambra celebrates the
                          15th anniversary of their cockpit arena built on the
                          remains of a tragic and bloody past. Four revenge
                          seekers infiltrate the family in a bid to uncover
                          their darkest secrets as the case of the Fiero's
                          missing household staff remains unresolved for fifteen
                          years. But doubts and emotions complicate their scheme
                          for revenge as it comes to fruition.
                        poster_path: /rrSeQgQsAe3IW8QWc3WHL7HaWyK.jpg
                        season_number: 3
                        vote_average: 0
                    spoken_languages:
                      - english_name: English
                        iso_639_1: en
                        name: English
                      - english_name: Tagalog
                        iso_639_1: tl
                        name: ''
                    status: Ended
                    tagline: ''
                    type: Scripted
                    vote_average: 6.6
                    vote_count: 104
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````